#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	muparser
Version		:	2.2.6.1
Release		:	14.4.0.0%{?dist}
Summary		:	Fast Math Parser Library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/beltoforion/muparser/release

Source0		:	%{name}-%{version}.tar.gz

buildroot	:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


#-----------------------------------------------------------------------------
%description
Many applications require the parsing of mathematical expressions.
The main objective of this library is to provide a fast and easy
way of doing this. muParser is an extensible high performance math
expression parser library written in C++. It works by transforming
a mathematical expression into bytecode and precalculating constant
parts of the expression. 

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--enable-shared=yes				\
	--enable-samples=no				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

%files			
%defattr(-, root,root,-)
%{_includedir}/mu*.h
%{_libdir}/lib%{name}.so*
%{_libdir}/pkgconfig/%{name}.pc

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
